package cp_cv

import "hilo-user/cv/user_cv"

// cp信息
type CvCp struct {
	CpUserInfo      *user_cv.CvUserBase `json:"cpUserInfo"`      // cp用户信息
	CpLevel         CvCpLevel           `json:"cpLevel"`         // cp等级
	MyPrivilegeList []CvPrivilege       `json:"myPrivilegeList"` // 等级特权
}

// cp关系
type CvCpRelation struct {
	CpId         uint64 `json:"cpId"`
	UserId       uint64 `json:"userId"`
	CpUserId     uint64 `json:"cpUserId"`
	CpUserAvatar string `json:"cpUserAvatar,omitempty"`
}
